module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_3401_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.1,
		},
		[5]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_150/Prefabs/150_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.45,
		},
		[6]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.6,
		},
		[7]={
			args={
				alive_time=0.55,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_150/Prefabs/150_attack2.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.6,
		},
		[8]={
			args={
				alive_time=0.2,
				ease_hide_time=0,
				ease_show_time=0.05,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.6,
		},
		[9]={
			args={shake_dis=0.03,shake_rate=10,shake_time=0.2,},
			func_name=[[ShakeScreen]],
			start_time=1.7,
		},
		[10]={
			args={
				alive_time=0.2,
				ease_hide_time=0,
				ease_show_time=0.05,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.95,
		},
		[11]={
			args={
				alive_time=0.55,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_150/Prefabs/150_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.95,
		},
		[12]={
			args={shake_dis=0.03,shake_rate=10,shake_time=0.2,},
			func_name=[[ShakeScreen]],
			start_time=2,
		},
		[13]={args={},func_name=[[MagcAnimEnd]],start_time=2.2,},
		[14]={args={},func_name=[[End]],start_time=2.8,},
	},
	group_cmds={},
	magic_anim_end_time=2.2,
	magic_anim_start_time=0,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_150/Prefabs/150_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_150/Prefabs/150_attack2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_150/Prefabs/150_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
